apiVersion: v1
kind: Service
metadata:
  name: {{ include "django-stack.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "django-stack.name" . }}
    helm.sh/chart: {{ include "django-stack.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "django-stack.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
